# Derived values
%define module Compress-Zlib
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-compress-zlib
Version: 1.41
Release: 2tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/Compress-Zlib-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
%{siteperl}/i586-linux-thread-multi/auto
%{siteperl}/i586-linux-thread-multi/Compress
%{_mandir}/man3/*
%doc ANNOUNCE Changes MANIFEST README

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 1.41-1tr
- New Upstream.

* Tue Aug  2 2005 Nived Gopalan <nived at comodo dot com> 1.35-1tr
- New upstream.
- Buffer overflow fix. Previous version of Compress::Zlib contains a 
  local vulnerable version of zlib, which may lead to a buffer overflow. 
  (CAN-2005-1849)

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.33-5tr
- Rebuilt on perl-5.8.7	
		
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.33-3tr
- Rebuilt 

* Mon Mar  7 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.34-1tr
- New upstream
- Rebuilt with perl-5.8.6

* Tue Oct  5 2004 Syed Shabir <syedshabir at comodo dot com> 1.33-tr
- Rebuilt for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 1.33-2gd
- fixed permission on directory
- added %doc to %files section
- changed arch to i586

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

